> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aptlydone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update decision role



## OpenAPI

````yaml patch /v1/decision-roles/{id}
openapi: 3.0.0
info:
  title: Settings APIs Specification
  description: Section for description
  version: '1.0'
  contact: {}
servers:
  - url: https://staging.api.us.aptlydone.com/settings
  - url: https://staging.api.eu.aptlydone.com/settings
  - url: https://api.us.aptlydone.com/settings
  - url: https://api.eu.aptlydone.com/settings
security: []
tags: []
paths:
  /v1/decision-roles/{id}:
    patch:
      tags:
        - decision-roles
      summary: Update decision role
      operationId: TenantDecisionRolesController_updateRole_v1
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TenantDecisionRolesUpdateDto'
      responses:
        '200':
          description: Decision role updated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TenantDecisionRolesResponseDtoResponse'
      security:
        - accessToken: []
components:
  schemas:
    TenantDecisionRolesUpdateDto:
      type: object
      properties:
        roleName:
          type: string
          maxLength: 50
          description: Role name
          example: Approver
        isDeleted:
          type: boolean
          example: false
          description: Is deleted flag
        status:
          type: string
          enum:
            - ACTIVE
            - INACTIVE
          description: Status
    TenantDecisionRolesResponseDtoResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP Status code
          example: 200
        timestamp:
          type: string
          description: Timestamp of the response
          example: '2026-01-08T06:33:20.711Z'
        message:
          type: string
          description: Response message
          example: Success
        data:
          description: Response data
          allOf:
            - $ref: '#/components/schemas/TenantDecisionRolesResponseDto'
      required:
        - statusCode
        - timestamp
        - message
        - data
    TenantDecisionRolesResponseDto:
      type: object
      properties:
        id:
          type: string
          example: ad4c5d66-91e2-4370-bfbb-99a7d78cc5f8
          description: Unique identifier
        tenantId:
          type: string
          example: dc7ef50f-4912-46b9-9914-eb86a0e1f81d
          description: Tenant ID
        roleName:
          type: string
          example: Approver
          description: Role name
        isDeleted:
          type: boolean
          example: false
          description: Is deleted flag
        status:
          type: string
          enum:
            - ACTIVE
            - INACTIVE
          description: Status
      required:
        - id
        - tenantId
        - roleName
        - isDeleted
        - status
  securitySchemes:
    accessToken:
      scheme: bearer
      bearerFormat: JWT
      type: http

````